Package Gnumed :: Package timelinelib :: Package repositories :: Module dbwrapper :: Class DbWrapperCategoryRepository |
[frames] | no frames]

# Class DbWrapperCategoryRepository

source code

                      object --+
                               |
    interface.CategoryRepository --+
                                   |
                                  DbWrapperCategoryRepository

Instance Methods
__init__(self, db) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
get_all(self) | source code
get_tree(self, remove) | source code
save(self, category) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### get_all(self) | source code
Overrides: interface.CategoryRepository.get_all

### get_tree(self, remove) | source code
Overrides: interface.CategoryRepository.get_tree

### save(self, category) | source code
Overrides: interface.CategoryRepository.save